Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data.functions
Enum SearchFilter.MatchMode

    java.lang.Object
      java.lang.Enum<SearchFilter.MatchMode>
          com.endeca.portal.data.functions.SearchFilter.MatchMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SearchFilter.MatchMode>

Enclosing class:
  SearchFilter

    public static enum SearchFilter.MatchMode

extends java.lang.Enum<SearchFilter.MatchMode>

Enum Constant Summary
`ALL`
`ALLANY`
`ALLPARTIAL`
`ANY`
`BOOLEAN`
`PARTIAL`
`PARTIALMAX`

Method Summary
`com.endeca.mdex.conversation.SearchMode` | `toDiscoveryServiceSearchMode()`
`java.lang.String` | `toString()`
`static SearchFilter.MatchMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SearchFilter.MatchMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final SearchFilter.MatchMode ALL

### PARTIAL

    public static final SearchFilter.MatchMode PARTIAL

### ANY

    public static final SearchFilter.MatchMode ANY

### ALLANY

    public static final SearchFilter.MatchMode ALLANY

### ALLPARTIAL

    public static final SearchFilter.MatchMode ALLPARTIAL

### PARTIALMAX

    public static final SearchFilter.MatchMode PARTIALMAX

### BOOLEAN

    public static final SearchFilter.MatchMode BOOLEAN

Method Detail

### values

    public static final SearchFilter.MatchMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SearchFilter.MatchMode c : SearchFilter.MatchMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SearchFilter.MatchMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<SearchFilter.MatchMode>`

### toDiscoveryServiceSearchMode

    public com.endeca.mdex.conversation.SearchMode toDiscoveryServiceSearchMode()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD